EFL_Stat = {
	 [0] = _G["ALL"],
	 [1] = _G["ITEM_MOD_STAMINA_SHORT"],
	 [2] = _G["ITEM_MOD_INTELLECT_SHORT"],
	 [3] = _G["ITEM_MOD_SPIRIT_SHORT"],
	 [4] = _G["ITEM_MOD_STRENGTH_SHORT"],
	 [5] = _G["ITEM_MOD_HASTE_RATING_SHORT"],
	 [6] = _G["ITEM_MOD_AGILITY_SHORT"],
	 [7] = _G["ITEM_MOD_HIT_RATING_SHORT"],
	 [8] = _G["ITEM_MOD_CRIT_RATING_SHORT"],
	 [9] = _G["ITEM_MOD_MASTERY_RATING_SHORT"],
	[10] = _G["ITEM_MOD_DODGE_RATING_SHORT"],
	[11] = _G["ITEM_MOD_PARRY_RATING_SHORT"],
	[12] = _G["ITEM_MOD_EXPERTISE_RATING_SHORT"],
	[13] = _G["ITEM_MOD_BLOCK_RATING_SHORT"],
	[14] = _G["ITEM_MOD_RESILIENCE_RATING_SHORT"],
	[15] = _G["ITEM_MOD_SPELL_POWER_SHORT"],
	[16] = _G["ITEM_MOD_SPELL_PENETRATION_SHORT"],
	--[17] = _G["ITEM_MOD_MANA_REGENERATION_SHORT"],
	[17] = _G["ITEM_MOD_POWER_REGEN0_SHORT"],
	--[18] = _G["ITEM_MOD_HEALTH_REGENERATION_SHORT"],
	[18] = _G["ITEM_MOD_HEALTH_REGEN_SHORT"],
	[19] = _G["ITEM_MOD_ATTACK_POWER_SHORT"],
	[20] = EFL_FoodLocaleText["highest"],
	[21] = _G["STAT_CATEGORY_RESISTANCE"]
}


EFL_Level = {
	[0] = "Classic",
	[1] = "BC",
	[2] = "WotLK",
	[3] = "Cataclysm",
	[4] = "MoP"
}

EFL_Op = {
	[0] = "=",
	[1] = ">=",
	[2] = "<="
}


-- STAT DROPDOWN ------------------------------------------------

function EFL_StatDropDown_Init()
	local entries = table.getn(EFL_Stat);
	for i=0,entries do
		info = {};
		value = i;
		text = EFL_Stat[i];
		info.text = text;
		info.value = value;
		info.func = EFL_StatDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_StatDropDown_OnShow()
    UIDropDownMenu_Initialize(EFL_StatDropDown, EFL_StatDropDown_Init);
    UIDropDownMenu_SetSelectedID(EFL_StatDropDown, EFL_Options["SelectedStat"]+1);
    UIDropDownMenu_SetWidth(EFL_StatDropDown, 150);
    EFL_ScrollBar_Update();
end

function EFL_StatDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_StatDropDown, i);
    EFL_Options["SelectedStat"] = i-1;
    EFL_ScrollBar_Update();
end


-- LEVEL OP ------------------------------------------------

function EFL_LevelOp_Init()
	local entries = table.getn(EFL_Op);
	for i=0,entries do
		info = {};
		value = i;
		text = EFL_Op[i];
		info.value = value;
		info.text = text;
		info.func = EFL_LevelOp_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_LevelOp_OnShow()
    UIDropDownMenu_Initialize(EFL_LevelOp, EFL_LevelOp_Init);
    UIDropDownMenu_SetSelectedID(EFL_LevelOp, EFL_Options["SelectedLevelOp"]+1);
    UIDropDownMenu_SetWidth(EFL_LevelOp, 40);
    EFL_ScrollBar_Update();
end

function EFL_LevelOp_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_LevelOp, i);
    EFL_Options["SelectedLevelOp"] = i-1;
    EFL_ScrollBar_Update();
end

-- ITEMLEVEL DROPDOWN ------------------------------------------------

function EFL_LevelDropDown_Init()
	local entries = table.getn(EFL_Level);
	for i=0,entries do
		info = {};
		value = i;
		text = EFL_Level[i];
		info.text = text;
		info.value = value;
		info.func = EFL_LevelDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_LevelDropDown_OnShow()
    UIDropDownMenu_Initialize(EFL_LevelDropDown, EFL_LevelDropDown_Init);
    UIDropDownMenu_SetSelectedID(EFL_LevelDropDown, EFL_Options["SelectedLevel"]+1);
    UIDropDownMenu_SetWidth(EFL_LevelDropDown, 80);
    EFL_ScrollBar_Update();
end

function EFL_LevelDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_LevelDropDown, i);
    EFL_Options["SelectedLevel"] = i-1;
    EFL_ScrollBar_Update();
end

